#!/bin/sh
#
# source: http://kent.dl.sourceforge.net/sourceforge/pyxml/PyXML-0.8.4.tar.gz
#
# maintainer: gmg (g.monpontet@gmail.com)
#

#------------------Set Some Variables

soft='pyxml'
softversion='0.8.4'
packageversion='60.1'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/PyXML-0.8.4.tar.gz"
src="$buildir/PyXML-0.8.4"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

cd $buildir
rm -rf $src
tar -xvzf $srcpkg
rm -f $dest.tar.gz
rm -rf $dest
mkdir -p $dest

#------------------Set correct permissions

cd $src

chown -R root:root .

python setup.py install --root=$dest

( cd $dest 
  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
  find . | xargs file | grep "current ar archive" | cut -f 1 -d : | xargs strip -g 2> /dev/null
)

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a ANNOUNCE CREDITS LICENCE PKG-INFO README* TODO doc/* \
$dest/usr/doc/$soft-$softversion

mkdir -p $dest/usr/man/man1
cp -a $dest/usr/doc/$soft-$softversion/man/*.1 $dest/usr/man/man1
rm -rf $dest/usr/doc/$soft-$softversion/man
find $dest/usr/man -type f -exec gzip -9 {} \;

#-----------------Make the slack-desc files

mkdir -p $dest/install
cat << EODESC > $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

     |-----handy-ruler--------------------------------------------------------|
pyxml: pyxml - is a collection of libraries to process XML with Python
pyxml:
pyxml: The PyXML package is a collection of libraries to process XML with
pyxml: Python.
pyxml:
pyxml:
pyxml:
pyxml:
pyxml:
pyxml:
pyxml:
EODESC

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

#-------------------Make the packages and the md5sum

cd $dest
makepkg -l y -c n $dest.tgz
cd $buildir
md5sum $package.tgz > $package.md5